org.apache.lucene.analysis.ko

## Class KoreanNumberFilter.NumberBuffer

- java.lang.Object
- - org.apache.lucene.analysis.ko.KoreanNumberFilter.NumberBuffer

Enclosing class:
  KoreanNumberFilter

    public static class KoreanNumberFilter.NumberBuffer
    extends Object

Buffer that holds a Korean number string and a position index used as a parsed-to marker

### Constructor Summary

Constructors
Constructor and Description
`NumberBuffer(String string)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `advance()`
`char` `charAt(int index)`
`int` `length()`
`int` `position()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberBuffer

    public NumberBuffer(String string)

### Method Detail

#### charAt

    public char charAt(int index)

#### length

    public int length()

#### advance

    public void advance()

#### position

    public int position()